#
# spec file for package scala-maven-plugin
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           scala-maven-plugin
Version:        3.4.6
Release:        3.7
Summary:        Scala Maven Plugin
License:        SUSE-Public-Domain
URL:            https://github.com/davidB/%{name}
Source0:        https://github.com/davidB/%{name}/archive/%{version}.tar.gz
Patch0:         scala-maven-plugin-3.4.6-bootcp.patch
Patch1:         new-reporting-api.patch
BuildRequires:  fdupes
BuildRequires:  maven-local
BuildRequires:  mvn(com.typesafe.zinc:zinc)
BuildRequires:  mvn(org.apache.commons:commons-exec)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-sink-api)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven.shared:maven-invoker)
BuildRequires:  mvn(org.apache.maven:maven-archiver)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
#!BuildRequires: sbt
BuildArch:      noarch

%description
The scala-maven-plugin (previously maven-scala-plugin) is
used for compiling/testing/running/documenting scala code
of any maven project.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin

%pom_add_dep org.scala-sbt:compile

%build

%{mvn_build} -f -- \
%if %{?pkg_vcmp:%pkg_vcmp java-devel >= 9}%{!?pkg_vcmp:0}
    -Dmaven.compiler.release=8 \
%endif
    -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license UNLICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license UNLICENSE

%changelog
* Wed Mar 23 2022 Fridrich Strba <fstrba@suse.com>
- Build with java source and target levels 8
* Fri Mar 11 2022 Fridrich Strba <fstrba@suse.com>
- Added patch:
  * new-reporting-api.patch
    + fix building with the new maven-reporting-api
* Thu Feb 27 2020 Fridrich Strba <fstrba@suse.com>
- Initial packaging of scala-maven-plugin 3.4.6
